//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Lib/Moochos/Moa/Sync.h"
#include "MainFormUnit.h"
//---------------------------------------------------------------------------
USEFORM("AboutDialogUnit.cpp", AboutDialog);
USEFORM("MainFormUnit.cpp", MainForm);
USEFORM("OptionsDialogUnit.cpp", OptionsDialog);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		TMutex appInstanceLock("Moochos.WheelHere.AppInstanceLock", true);
		if(!appInstanceLock.TryLock(0)) {
			::PostMessage(HWND_BROADCAST, TMainForm::WM_MULTIPLEAPPINSTANCES, 0, 0);
			return 1;
		}
		Application->Initialize();
		Application->Title = "Wheel Here";
		Application->ShowMainForm = false;
		Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
